Skip to main content
GET
List business accounts
Authentication: API key OAuth 2.0
Scope: organization.read Sensitive
You can use this endpoint when you need to display account details of all business accounts.

Restricted Fields

Full details of a business account are restricted to users with specific permissions (more on permissions). Owners and admins can access all fields. Other users, such as managers, will only see a limited set of fields unless granted the appropriate permissions. Fields Available to All Users:
  • id
  • name
  • status
  • main
  • organization_id
Fields Available to Users with Balance Authorization Read:
  • currency
  • balance
  • balance_cents
  • authorized_balance
  • authorized_balance_cents
Depending on the user’s permissions, the corresponding fields will be included in the response.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Query Parameters

page
integer
default:1

Page number for pagination. Must be greater than 0.

Required range: x >= 1
per_page
integer
default:100

Number of business accounts per page. Must be between 1 and 100.

Required range: 1 <= x <= 100

Response

List of business accounts retrieved successfully

bank_accounts
object[]
required